Hello,

Yes I am new around here and to ruby in general.  I have checked the 
archive enough to know this question has come up before.  I post it 
again because I have tried all suggestions and have not come to a 
satisfactory resolution.

I'm trying to build ruby-postgres extension under Mac OS X 10.2.6, ruby 
1.6.7, PostgreSQL 7.3.3.  Running extconf.rb returns the familiar error

checking for PQsetdbLogin() in -lpq... no
Could not find PostgreSQL libraries: Makefile not created

I have verified that the library file libpq.so and others mentioned in 
the install note are present and with open perms.  So this error message 
that it cannot find the libraries it needs is confusing, to say the 
least.

Any help very much appreciated.